## org.codehaus.plexus.collections
Interface ActiveCollectionManager

All Known Implementing Classes:
  DefaultActiveCollectionManager

    public interface ActiveCollectionManager

Manager interface provided for backward compatibility to apps using plexus-container-default with versions under 1.0-alpha-22. This is necessary because the active collections in this project implement Map, List, and Set...three interfaces which trigger the container in older versions to attempt to find multiple components of the specified role (in this case, it'd be ActiveMap|Set|List), and assign all of them as a single requirement on the dependent component. To work around these cases, code in older applications can use a requirement on this manager, then ask the manager for the active collection of choice. It's a little less dynamic, but should still work well.

Author:
  jdcasey

Field Summary
`static java.lang.String` `ROLE`

Method Summary
`ActiveList` `getActiveList(java.lang.Class role)` Retrieve an `ActiveList` instance that contains the components of the given role.
`ActiveList` `getActiveList(java.lang.String role)` Retrieve an `ActiveList` instance that contains the components of the given role.
`ActiveMap` `getActiveMap(java.lang.Class role)` Retrieve an `ActiveMap` instance that contains the components of the given role.
`ActiveMap` `getActiveMap(java.lang.String role)` Retrieve an `ActiveMap` instance that contains the components of the given role.
`ActiveSet` `getActiveSet(java.lang.Class role)` Retrieve an `ActiveSet` instance that contains the components of the given role.
`ActiveSet` `getActiveSet(java.lang.String role)` Retrieve an `ActiveSet` instance that contains the components of the given role.

Field Detail

### ROLE

    static final java.lang.String ROLE

Method Detail

### getActiveMap

    ActiveMap getActiveMap(java.lang.String role)

  Retrieve an `ActiveMap` instance that contains the components of the given role.

### getActiveList

    ActiveList getActiveList(java.lang.String role)

  Retrieve an `ActiveList` instance that contains the components of the given role.

### getActiveSet

    ActiveSet getActiveSet(java.lang.String role)

  Retrieve an `ActiveSet` instance that contains the components of the given role.

### getActiveMap

    ActiveMap getActiveMap(java.lang.Class role)

  Retrieve an `ActiveMap` instance that contains the components of the given role. NOTE: the role which is used is actually the class-name, not the class...so, here ROLE = role.getName().

  Parameters:
    `role` - the class whose name we will use as the role for the components to retrieve.

### getActiveList

    ActiveList getActiveList(java.lang.Class role)

  Retrieve an `ActiveList` instance that contains the components of the given role. NOTE: the role which is used is actually the class-name, not the class...so, here ROLE = role.getName().

  Parameters:
    `role` - the class whose name we will use as the role for the components to retrieve.

### getActiveSet

    ActiveSet getActiveSet(java.lang.Class role)

  Retrieve an `ActiveSet` instance that contains the components of the given role. NOTE: the role which is used is actually the class-name, not the class...so, here ROLE = role.getName().

  Parameters:
    `role` - the class whose name we will use as the role for the components to retrieve.

Copyright © 2011. All Rights Reserved.